ベストセラー人気 WordPress テーマTop 30 詳細

WordPress PHP 8.0の適用

Last Updated:2021年5月7日| 2のコメント
  • Naver ブログを共有する
  • Naver バンドに共有する
  • Facebook 共有する
  • Twitter 共有する
  • 카카오스토리공유하기

昨年 WordPress 5.6このリリースされた当時のPHP 8.0を適用するのは時期尚早との評価があったが、 WordPress 5.7.1、PHP 8.0を適用してみると懸念とは異なり、大きなエラーなしにうまく機能するようです。 速度は、PHP 7.4を適用したときと比較して似たような水準であると思われます。

WordPress ブログにPHP 8.0を適用

数日前にWHMに接続してみるとPHP 8.0をインストールすることができることを発見して、既存のPHP 7.3とPHP 7.4の構成では、PHP 7.3をアンインストールして、PHP 8.0を追加しました。

WordPress ブログにPHP 8.0を適用

Bluehost VPSを使用する場合、WHMにログインしてPHP 8.0をインストールすることができます。 PHP 8.0を追加する方法は、「Bluehost VPSでは、PHP 7.4の適用方法」を参照してみてください。PHP 7.4を適用する方法を説明しているがPHP 8.0を適用する手順も同じです。

Bluehost VPSでは、PHP 7.4のバージョンをサポートした当時の初期には、マルチサイトでエラーが発生して苦労食べたことがあります。 PHP 8.0のバージョンの場合 WordPress マルチサイトでも問題なく動作しますね。

多く使用されている人気の WordPress テーマとプラグインを使用する場合、PHP 8.0を適用しても問題が発生する可能性が低いと思われる。 人気のテーマとプラグインは、最新の WordPress バージョンとPHPのバージョンに迅速に対応する傾向があります。 いくつかのテーマとプラグインでは、問題が発生する可能性があります。

PHP 8.0を適用した後、Google PageSpeed Insightsサイトで分析してみると、以前よりもスコアが高くなりました。 特にモバイルスコアが改善されました。

Googleのスピード洞察スコア

しかし、Googleのスピード洞察スコアは、実際の速度を示すものではないので、スコアにあまり意味を置く必要はありません。

しばらくPHP 8.0を適用して、エラーがないかどうかチェックしてみ引き続き適用するかどうかを決定すると考えています。

WordPress 管理者ページ内でPHPのバージョンとPHP環境設定値を確認するには、 ツール>サイトの健康>情報 タブに移動して サーバー セクションでチェックすることができます。 PHP time limit、PHP memory limitなどPHPの環境設定値が低い場合 エレメンページビルダー など、いくつかのプラグインやテーマが正しく動作しないことがあります。

ちなみにPHP 7.3は2021年12月6日までに、セキュリティサポートが提供され、PHP 7.4は2022年11月28日、PHP 8.0は2023年11月26日まで提供されます。

Bluehost 共有ホスティングのPHP 8.0をサポート

Bluehost 共有ホスティングでは、現在のPHP 7.4をサポートします。 Bluehostライブチャットでお問い合わせしてみるとPHP 8.0のサポートは、近いうちに行われる予定だそうです。

I can see that PHP 8.0 is a new release。 We enable stable releases of PHP、so that websites will not crash or misbehave on our servers。 We will enable PHP 8.0 soon、when it has a stable version。

おそらくPHP 8.0のリリースがサーバーがクラッシュや誤動作がないことを確認した後PHP 8.0のサポートを追加することです。

SiteGround、GreenGeeksなど一部の海外のホスティングは、PHP 8.0までサポートされます。 ただし、 SiteGroundは、韓国をはじめとするほとんどのアジア地域での新規加入を停止しました。 GreenGeeksはLiteSpeedサーバーで運営されるため、速度が大丈夫なようです( "海外ホスティングGreenkGeeksに WordPress インストールする方法"参照)。

参照



2のコメント

コメント

  1. xamppみる8.0.3バージョンだ使ってみると良いです。
    特に問題になることもなく
    すべての人が8.0.3バージョンに移動したらと思います。
    近いうちに8.0.4バージョンを配布するようです。

    応答
    • 私はまだ、特に問題になる部分はありません。
      多く使用されている人気のテーマやプラグインを使用する場合には、PHP 8.0を適用しても問題が発生する可能性が低いと思われる。

      応答